XMLType (Axis API)
Keywords: org.apache.axis.encoding.XMLType class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.encoding
Class XMLType

    java.lang.Object
      org.apache.axis.Constants
          org.apache.axis.encoding.XMLType

public class XMLType
extends Constants

Field Summary
`static QName` | `AXIS_VOID` A "marker" XML type QName we use to indicate a void type.

Fields inherited from class org.apache.axis.Constants
`ANYCONTENT, ATTR_ACTOR, ATTR_ARRAY_SIZE, ATTR_ARRAY_TYPE, ATTR_ENCODING_STYLE, ATTR_HANDLERINFOCHAIN, ATTR_HREF, ATTR_ID, ATTR_ITEM_TYPE, ATTR_MUST_UNDERSTAND, ATTR_OFFSET, ATTR_POSITION, ATTR_QNAME, ATTR_REF, ATTR_RELAY, ATTR_ROLE, ATTR_ROOT, ATTR_TYPE, AXIS_SAX, DEFAULT_MESSAGE_TIMEOUT, DEFAULT_SOAP_VERSION, ELEM_BODY, ELEM_ENVELOPE, ELEM_FAULT, ELEM_FAULT_ACTOR, ELEM_FAULT_CODE, ELEM_FAULT_CODE_SOAP12, ELEM_FAULT_DETAIL, ELEM_FAULT_DETAIL_SOAP12, ELEM_FAULT_NODE_SOAP12, ELEM_FAULT_REASON_SOAP12, ELEM_FAULT_ROLE_SOAP12, ELEM_FAULT_STRING, ELEM_FAULT_SUBCODE_SOAP12, ELEM_FAULT_VALUE_SOAP12, ELEM_HEADER, ELEM_NOTUNDERSTOOD, ELEM_SUPPORTEDENVELOPE, ELEM_TEXT_SOAP12, ELEM_UPGRADE, ELEM_XOP_INCLUDE, ENTERPRISE_LOG_CATEGORY, EXCEPTION_LOG_CATEGORY, FAULT_CLIENT, FAULT_MUSTUNDERSTAND, FAULT_SERVER_GENERAL, FAULT_SERVER_USER, FAULT_SOAP12_DATAENCODINGUNKNOWN, FAULT_SOAP12_MUSTUNDERSTAND, FAULT_SOAP12_RECEIVER, FAULT_SOAP12_SENDER, FAULT_SOAP12_VERSIONMISMATCH, FAULT_SUBCODE_BADARGS, FAULT_SUBCODE_PROC_NOT_PRESENT, FAULT_VERSIONMISMATCH, HTTP_TXR_BUFFER_SIZE, JWS_DEFAULT_FILE_EXTENSION, MC_CONFIGPATH, MC_HOME_DIR, MC_JWS_CLASSDIR, MC_NO_OPERATION_OK, MC_REALPATH, MC_RELATIVE_PATH, MC_REMOTE_ADDR, MC_SERVLET_ENDPOINT_CONTEXT, MC_SINGLE_SOAP_VERSION, MIME_CT_APPLICATION_OCTETSTREAM, MIME_CT_APPLICATION_XML, MIME_CT_IMAGE_GIF, MIME_CT_IMAGE_JPEG, MIME_CT_MULTIPART_PREFIX, MIME_CT_TEXT_PLAIN, MIME_CT_TEXT_XML, MIME_DATA_HANDLER, MIME_IMAGE, MIME_MULTIPART, MIME_OCTETSTREAM, MIME_PLAINTEXT, MIME_SOURCE, NS_PREFIX_SCHEMA_XSD, NS_PREFIX_SCHEMA_XSI, NS_PREFIX_SOAP_ENC, NS_PREFIX_SOAP_ENV, NS_PREFIX_WSDL, NS_PREFIX_WSDL_SOAP, NS_PREFIX_XML, NS_PREFIX_XMLSOAP, NS_PREFIX_XOP, NS_URI_AXIS, NS_URI_JAVA, NS_URI_WSDL11, NS_URI_XML, NS_URI_XMLNS, NS_URI_XMLSOAP, NS_URIS_WSDL, NS_URIS_WSDL_SOAP, QNAME_FAULTACTOR, QNAME_FAULTCODE, QNAME_FAULTCODE_SOAP12, QNAME_FAULTDETAIL_EXCEPTIONNAME, QNAME_FAULTDETAIL_HOSTNAME, QNAME_FAULTDETAIL_HTTPERRORCODE, QNAME_FAULTDETAIL_NESTEDFAULT, QNAME_FAULTDETAIL_RUNTIMEEXCEPTION, QNAME_FAULTDETAIL_SOAP12, QNAME_FAULTDETAIL_STACKTRACE, QNAME_FAULTDETAILS, QNAME_FAULTNODE_SOAP12, QNAME_FAULTREASON_SOAP12, QNAME_FAULTROLE_SOAP12, QNAME_FAULTSTRING, QNAME_FAULTSUBCODE_SOAP12, QNAME_FAULTVALUE_SOAP12, QNAME_LITERAL_ITEM, QNAME_NO_SERVICE_FAULT_CODE, QNAME_NOTUNDERSTOOD, QNAME_RPC_RESULT, QNAME_TEXT_SOAP12, QNAMES_NIL, SOAP_ARRAY, SOAP_ARRAY_ATTRS11, SOAP_ARRAY_ATTRS12, SOAP_ARRAY12, SOAP_BASE64, SOAP_BASE64BINARY, SOAP_BOOLEAN, SOAP_BYTE, SOAP_COMMON_ATTRS11, SOAP_COMMON_ATTRS12, SOAP_DECIMAL, SOAP_DOCUMENT, SOAP_DOUBLE, SOAP_ELEMENT, SOAP_FLOAT, SOAP_INT, SOAP_INTEGER, SOAP_LONG, SOAP_MAP, SOAP_SHORT, SOAP_STRING, SOAP_VECTOR, TIME_LOG_CATEGORY, URI_1999_SCHEMA_XSD, URI_1999_SCHEMA_XSI, URI_2000_SCHEMA_XSD, URI_2000_SCHEMA_XSI, URI_2001_SCHEMA_XSD, URI_2001_SCHEMA_XSI, URI_DEFAULT_SCHEMA_XSD, URI_DEFAULT_SCHEMA_XSI, URI_DEFAULT_SOAP_ENC, URI_DEFAULT_SOAP_ENV, URI_DIME_CLOSED_LAYOUT, URI_DIME_CONTENT, URI_DIME_OPEN_LAYOUT, URI_DIME_REFERENCE, URI_DIME_WSDL, URI_LITERAL_ENC, URI_SOAP11_ENC, URI_SOAP11_ENV, URI_SOAP11_HTTP, URI_SOAP11_NEXT_ACTOR, URI_SOAP12_ENC, URI_SOAP12_ENV, URI_SOAP12_HTTP, URI_SOAP12_NEXT_ACTOR, URI_SOAP12_NEXT_ROLE, URI_SOAP12_NOENC, URI_SOAP12_NONE_ROLE, URI_SOAP12_RPC, URI_SOAP12_ULTIMATE_ROLE, URI_WSDL11_SOAP, URI_WSDL12_SOAP, URI_XOP_INCLUDE, URIS_SCHEMA_XSD, URIS_SCHEMA_XSI, URIS_SOAP_ENC, URIS_SOAP_ENV, WSIBP11_COMPAT_PROPERTY, XML_LANG, XSD_ANY, XSD_ANYSIMPLETYPE, XSD_ANYTYPE, XSD_ANYURI, XSD_BASE64, XSD_BOOLEAN, XSD_BYTE, XSD_DATE, XSD_DATETIME, XSD_DAY, XSD_DECIMAL, XSD_DOUBLE, XSD_DURATION, XSD_ENTITIES, XSD_ENTITY, XSD_FLOAT, XSD_HEXBIN, XSD_ID, XSD_IDREF, XSD_IDREFS, XSD_INT, XSD_INTEGER, XSD_LANGUAGE, XSD_LONG, XSD_MONTH, XSD_MONTHDAY, XSD_NAME, XSD_NCNAME, XSD_NEGATIVEINTEGER, XSD_NMTOKEN, XSD_NMTOKENS, XSD_NONNEGATIVEINTEGER, XSD_NONPOSITIVEINTEGER, XSD_NORMALIZEDSTRING, XSD_NOTATION, XSD_POSITIVEINTEGER, XSD_QNAME, XSD_SCHEMA, XSD_SHORT, XSD_STRING, XSD_TIME, XSD_TIMEINSTANT1999, XSD_TIMEINSTANT2000, XSD_TOKEN, XSD_UNSIGNEDBYTE, XSD_UNSIGNEDINT, XSD_UNSIGNEDLONG, XSD_UNSIGNEDSHORT, XSD_YEAR, XSD_YEARMONTH`

Constructor Summary
`XMLType()`

Methods inherited from class org.apache.axis.Constants
`equals, getValue, getValue, isSchemaXSD, isSchemaXSI, isSOAP_ENC, isSOAP_ENV, isWSDL, isWSDLSOAP`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### AXIS_VOID

    public static final QName AXIS_VOID

  A "marker" XML type QName we use to indicate a void type.

Constructor Detail

### XMLType

    public XMLType()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.